Subject: [AVTCORE] Issue with draft-ietf-avtext-framemarking-06 and frame priority

From: "Roni Even (A)" <[email-masked]>
Date: Thu, 29 Mar 2018 08:58:49 +0000

Hi,
At the IETF101 session there was a comment about the priority marking ratio to allow a middlebox to know the average number of frames in each priority are in the flow. This is needed in order to know which priories it can drop when congested.

My assumption, which I can add to the document, is that it is done based on previous ratio the middlebox sees on the wire.

That made me question how is it done in the case of scalable streams. Are all the packets with d=1 the same. If not how does a middlebox know how many there are from each frame type when it wants to drop a specific number of packets?

BTW: As for signaling I looked at adding  extensionattribute for priority ratio. In this case I was not sure how will it work in offer answer. The simple way would be to offer two mutually exclusive alternatives with IDs in the range of 4096-4351.

Thanks
Roni Even